Zum Hauptinhalt springen
POST
/
communication-preferences
/
v3
/
unsubscribe
Unsubscribe a contact
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v3/unsubscribe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "<string>",
  "subscriptionId": "<string>",
  "legalBasis": "CONSENT_WITH_NOTICE",
  "legalBasisExplanation": "<string>"
}
'
{
  "description": "<string>",
  "id": "<string>",
  "name": "<string>",
  "sourceOfStatus": "BRAND_WIDE_STATUS",
  "status": "NOT_SUBSCRIBED",
  "brandId": 123,
  "legalBasis": "CONSENT_WITH_NOTICE",
  "legalBasisExplanation": "<string>",
  "preferenceGroupName": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
emailAddress
string
erforderlich

Contact's email address.

subscriptionId
string
erforderlich

ID of the subscription being updated for the contact.

Legal basis for updating the contact's status (required for GDPR enabled portals).

Verfügbare Optionen:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

A more detailed explanation to go with the legal basis (required for GDPR enabled portals).

Antwort

successful operation

description
string
erforderlich

A description of the subscription.

id
string
erforderlich

The ID for the subscription.

name
string
erforderlich

The name of the subscription.

sourceOfStatus
enum<string>
erforderlich

Where the status is determined from e.g. PORTAL_WIDE_STATUS if the contact opted out from the portal.

Verfügbare Optionen:
BRAND_WIDE_STATUS,
PORTAL_WIDE_STATUS,
SUBSCRIPTION_STATUS
status
enum<string>
erforderlich

Whether the contact is subscribed.

Verfügbare Optionen:
NOT_SUBSCRIBED,
SUBSCRIBED
brandId
integer<int64>

The ID of the brand that the subscription is associated with, if there is one.

The legal reason for the current status of the subscription.

Verfügbare Optionen:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

A more detailed explanation to go with the legal basis.

preferenceGroupName
string

The name of the preferences group that the subscription is associated with.

Last modified on April 9, 2026